using System;
using System.Collections.Generic;
using System.Text;

namespace Physics
{
    struct EffectBools
    {
        public bool Gravity;
        public bool GravityWell;
        public bool VelocityDraw;

        public bool MouseWind;
        public bool MouseAccel;

        private List<Effect> Ignores;

        public EffectBools(bool setAllTo)
        {
            Gravity = setAllTo;
            GravityWell = setAllTo;
            VelocityDraw = setAllTo;

            MouseWind = setAllTo;
            MouseAccel = setAllTo;

            Ignores = new List<Effect>();
        }

        public void AddIgnore(Effect E)
        {
            Ignores.Add(E);
        }
        public void RemoveIgnore(Effect E)
        {
            Ignores.Remove(E);
        }

        public bool Ignored(Effect E)
        {
            return Ignores.Contains(E);
        }
    }
}
