using System;
using System.Collections.Generic;
using System.Text;
using System.Text.RegularExpressions;

namespace Physics.Config
{
    class ConfigEntry
    {
        public String Varible
        { get { return vartxt; } }
        public String Keys
        { get { return keystxt; } }

        private String vartxt;
        private String keystxt;

        public bool Set(String line)
        {
            Regex commentStart = new Regex("#");
            Regex equalSplit = new Regex("=");

            String filtered = commentStart.Split(line)[0];
            String[] a = equalSplit.Split(filtered);

            if (a.Length != 2)
                return false;

            vartxt = a[0].Trim();
            keystxt = a[1].Trim();

            return true;
        }
    }
}
