using System;
using System.Collections.Generic;
using System.IO;

namespace Physics.Config
{
    abstract class ConfigFile
    {
        protected String configFolder = "Key Configs\\";

        public List<ConfigEntry> Read(String filePath)
        {
            List<ConfigEntry> list = new List<ConfigEntry>();

            if (File.Exists(filePath))
            {
                StreamReader sr = File.OpenText(filePath);
                while (!sr.EndOfStream)
                {
                    ConfigEntry cfge = new ConfigEntry();
                    if (cfge.Set(sr.ReadLine()))
                        list.Add(cfge);
                }

                sr.Close();
            }
            return list;
        }
    }
}
