using System;
using System.Collections.Generic;
using System.Text;

using Physics.Entities;
using Physics.Entities.Physics;


namespace Physics
{
    class Gravity : PhysicsEffect
    {
        public static Vector2 Force = new Vector2(0, 0.05F);

        public void ApplyEffect(PhysicsE E)
        {
            if (E.affectedby.Gravity && !E.affectedby.Ignored(this))
                E.ApplyForce(E.Mass * Force);
        }

        public void ApplyEffect(Entity E)
        {
            if (E is PhysicsE)
                ApplyEffect((PhysicsE)E);
        }
    }
}
