using System;
using System.Drawing;
using SdlDotNet;

using Physics.Entities;

namespace Physics.States
{
    class CreatingPolygon : GameState
    {
        public override void Input(bool onTop)
        {
            if (cfg.createPoly.wasPressed())
            {
                EntityCreator.finalizePolygon();
                Game.RemoveGameState(this);
            }
        }

        public override void Update(float timeStep, bool onTop)
        {
            // the Entitycreator does not use the time step
            if (onTop)
                EntityCreator.creatingPolygonUpdate();
        }

        public override void Draw(Surface target, bool onTop)
        {
            EntityCreator.DrawPolygon(target);
        }
    }
}
